@REM Run the example server with GUI interface
@REM
@REM This batch file invokes the java class that provides a GUI wrapper
@REM to the example MQe server. The server allows multiple other queue managers
@REM ( Client or server ) to concurrently connect to it. The GUI wrapper
@REM provides a simple interface for starting and stopping the server and
@REM buttons for invoking the example trace and admin interfaces.
@REM
@REM Parameters are required for configuring the server and starting a
@REM queue manager. The examples shipped with MQSeries Everyplace use ini
@REM files to hold the parameters. By default .\ExamplesAwtMQeServer.ini startup
@REM parameters file is used by this batch file.
@REM
@REM Note: Before the server can be successfully started, the queue manager
@REM that is to run in the server must have been created.
@REM
@REM Parameters
@REM   %1  java environment name (see JavaEnv.bat file for details)

   @SETLOCAL

   call JavaEnv %1

   %JavaCmd%  examples.awt.AwtMQeServer .\ExamplesAwtMQeServer.ini

   @SETLOCAL
