/*------------------------------------------------------------------------------*/

/*                   WebSphere MQ Everyplace for Multiplatforms                 */

/*                                                                              */

/* Licensed Materials - Property of IBM                                         */

/*                                                                              */

/* 5765-E63                                                                     */

/*                                                                              */

/* (C) Copyright IBM Corp. 1999,2002                                            */

/*                                                                              */

/*------------------------------------------------------------------------------*/ 
package examples.mqbridge.queuemanager;


import  examples.queuemanager.*;
import  com.ibm.mqe.*;
import  com.ibm.mqe.mqbridge.*;
import  java.util.*;
import  java.io.*;                                  


/**
 * The MQBridgeServer class extends MQeServer, and provides no function that the 
 * superclass provides. It is here solely as a migration aid for programs which
 * have been coded against previous versions of MQe, but require this class to exist
 * in order to work effectively.
 *
 * @deprecated                              
 */
public class MQBridgeServer extends MQeServer {
    public       static short        version[] = { 2, 0, 0, 5 }; 

    public final static String       Section_MQBridge = "MQBridge";    
    
    /**
     * Main method.
     * 
     * <P>This class is no longer useful in this and later versions of MQe.
     * It is here solely as a migration aid, to allow programs written against
     * previous versions of MQe to continue to run cleanly.</P>
     * 
     * @param String Configuration filename to use.
     * 
     * @deprecated
     */
    public static void main(String[] args) {   
        try {
            String FileName = "." + File.separator + "ExamplesAwtMQBridgeServer.ini";

            // Use this file name if no other was supplied.
            if (args.length > 0)
                FileName = args[0];
            new MQBridgeServer(FileName).activate(true); // Start the server         
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Constructor
     * 
     * <P>This class is no longer useful in this and later versions of MQe.
     * It is here solely as a migration aid, to allow programs written against
     * previous versions of MQe to continue to run cleanly.</P>
     * 
     * @deprecated
     */
    public MQBridgeServer(MQeFields ThisConfig) throws Exception {         
        super();
        init(ThisConfig);
    }

    /**
     * constructor
     * 
     * <P>This class is no longer useful in this and later versions of MQe.
     * It is here solely as a migration aid, to allow programs written against
     * previous versions of MQe to continue to run cleanly.</P>
     * 
     * @deprecated
     */
    public MQBridgeServer() {
        super();
    }

    /**
     * constructor.
     * 
     * <P>This class is no longer useful in this and later versions of MQe.
     * It is here solely as a migration aid, to allow programs written against
     * previous versions of MQe to continue to run cleanly.</P>
     * 
     * @deprecated
     */
    public MQBridgeServer(String iniFileName) throws Exception {
        this(iniFileName, false // Don't suppress any stdout 
        );
    }

    /**
     * <P>This class is no longer useful in this and later versions of MQe.
     * It is here solely as a migration aid, to allow programs written against
     * previous versions of MQe to continue to run cleanly.</P>
     * 
     * @deprecated
     */
    public MQBridgeServer(String iniFileName, boolean suppressStdout) throws Exception {
        super(iniFileName, suppressStdout);
    }

    /**
     * Method used to initialize the server.
     * 
     * <P>This class is no longer useful in this and later versions of MQe.
     * It is here solely as a migration aid, to allow programs written against
     * previous versions of MQe to continue to run cleanly.</P>
     * 
     * @deprecated
     */
    public void activate(boolean Start) throws Exception {                                           
        // Delegate all activity to our superclass.
        super.activate(Start);
    }
}    
